All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.form.html
Class ListBox

    com.sas.servlet.tbeans.form.html.ListBox

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, FormElementModificationEventInterface, com.sas.servlet.tbeans.form.JavaScriptObjectCreationInterface, com.sas.servlet.tbeans.JavaScriptEventHandlerInterface, RenderableInterface, StyleInterface, TransformationInterface, GenericValidatorInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  CellContentsListBoxEditor

    public class ListBox

implements StyleInterface

The ListBox is a TransformationBean™ that generates the appropriate HTML 4.0 for creating an HTML SELECT element representing a ListBox. A listbox is a menu that allows either a single selection or multiple selections.

The ListBox TransformationBean™ gathers the alternatives from a model via the setModel method. A model must implement the javax.swing.ListModel interface in order to be used.

### Accessibility

The Section 508 Accessibility standards, such as making application tasks available through the keyboard, are incorporated into our components to improve usability for all of our software products which benefits every SAS user.

This component is fully compliant with the Web-based standards outlined in Section 508. The compliance is based on producing the correct output, having keyboard equivalent and surfacing the necessary properties to assist consumers of the component to be compliant.

The following keyboard equivalents are supported by this component:

KeyBoard Access | Behavior/Result
--- | ---
TAB | TAB moves the focus to the listbox. Hitting TAB while the listbox has focus will navigate focus to the next tabable component.
ALT+ACCESSKEY | Pressing ALT+ACCESSKEY will navigate focus to the listbox. The ACCESSKEY indicates the keyboard character used as a shortcut to activate the element.
SHIFT+UP/DOWN | Pressing SHIFT+UP arrow or SHIFT+DOWN arrow while the listbox has focus, moves focus and extends selection in the list box. If one or more items are selected at the time of the SHIFT+UP/DOWN, selection extends from the last-selected item to the focus item. If none were selected, selection extends from a default item to the focus item. By default, the default item is the first in the list, but if any items were previously selected, the last-selected item becomes the default.
UP/DOWN ARROW | Pressing UP arrow or DOWN arrow while the listbox has focus will move selection and focus to the next/previous item in the list box.

The following properties are provided to assist in making the application using this component accessible:

- AccessKey
- TabIndex
- KeyDown
- KeyPress
- KeyUp

The ListBox is one of several TransformationBeans™ that rely on a set of style classes that are used by default when generating the resulting markup language. For more information on style sheets and the default style classes that apply to this TransformationBean™, refer to the AppDev Studio Developer Site. You'll find a useful reference document entitled Cascading Style Sheets, Images, and TransformationBeans™ as well as the TransformationBeans™ Style Sheet Reference.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:ListBox custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.form.BaseListBox
`model, RB_KEY`

Constructor Summary
`ListBox()` Construct a new ListBox
`ListBox(java.lang.String name, javax.swing.ListModel model)` Construct a new ListBox

Method Summary
`void` | `write(java.io.PrintWriter out)` Writes the transformed representation of the object

Methods inherited from class com.sas.servlet.tbeans.form.BaseListBox
`getModel, getMultipleSelections, getSelectedIndex, getSelectedIndexes, getSelectedItem, getSelectedItems, getSize, isSelected, isSelected, isValidateSelection, setModel, setMultipleSelections, setSelectedIndex, setSelectedIndexes, setSelectedItem, setSelectedItem, setSelectedItems, setSelectedItems, setSize, setValidateSelection`

Methods inherited from class com.sas.servlet.tbeans.form.BaseFormElement
`getAccessKey, getErrorHandler, getModificationEventName, getName, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleInfo, getTabIndex, getTitle, getValidationFunctions, getValidator, isEnabled, isValid, isValidationEnabled, setAccessKey, setEnabled, setErrorHandler, setId, setModificationEventName, setName, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleInfo, setTabIndex, setTitle, setValidator, writeJavaScriptObject, writeJavaScriptObjectValidate, writeJavaScriptValidatorObject, writeValidationScript`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setInputTransform, setLocale, setLocaleDependentProperties, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.StyleInterface
`getStyleInfo, setStyleInfo`

Constructor Detail

### ListBox

    public ListBox()

  Construct a new ListBox

### ListBox

    public ListBox(java.lang.String name,
                   javax.swing.ListModel model)

  Construct a new ListBox

  Parameters:
    `name` - The field name
    `model` - The model for the listbox alternatives

Method Detail

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the transformed representation of the object

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseFormElement`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.